%global prerel .beta2

Name:             tootaudioservers
Summary:          Toot2 Audio Server
URL:              http://code.google.com/p/tootaudioservers/
Group:            Development/Libraries
Version:          3
Release:          0.2%{?prerel}%{?dist}
License:          GPLv2+
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
# Upstream doesn't provide a tarball.
# We extract the source from their cvs.
Source0:          %{name}-%{version}%{?prerel}.tar.bz2
Source9:          %{name}-snapshot.sh

BuildRequires:    java-devel >= 1.7
BuildRequires:    ant
BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java >= 1.7

BuildRequires:    toot2
Requires:         toot2

%description
Tootaudioservers provides access to audio hardware using various
implementations of the toot2 project AudioServer and 
AudioServerConfiguration interfaces. Various JavaSound implementations are
supplied as services.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         %{name} = %{version}-%{release}
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}%{?prerel}

# Remove precompiled binaries
rm -fr lib/*

# Impose the Fedora optflags
sed -i 's|-fPIC|%{optflags} -fPIC|' cpp/priority/Makefile

# dlopen the correct library
sed -i 's|loadLibrary.*|load("%{_libdir}/%{name}/libpriority.so");|' \
    src/com/frinika/priority/Priority.java


%build
%ant -Dreference.Toot2.jar=%{_javadir}/toot2.jar:%{_libdir}/tritonus/tritonus_share.jar \
     -Dproject.Toot2=.        \
     -Dno.deps=true           \
     -Dbuild.classes.dir=bin  \
     -Dmain.class=            \
     jar javadoc

# Parallel build not supported
JAVA_HOME=%{java_home} make libpriority.so -C cpp/priority


%install
rm -rf %{buildroot}
# jars
install -dm 755 %{buildroot}%{_libdir}/%{name}
install -pm 644 dist/*.jar %{buildroot}%{_libdir}/%{name}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_libdir}/%{name}/%{name}.jar

# native lib
install -pm 755 cpp/priority/libpriority.so %{buildroot}%{_libdir}/%{name}

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-0.2.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 26 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 3-0.1.beta2
- Update to 3beta2

* Wed Apr 15 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 2.0-2.64svn
- Don't build AOT bits (this package requires java > 1.5)

* Wed Mar 25 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 2.0-1.64svn
- Initial build for Fedora. SPEC file adapted from SUSE.

* Mon Jan 14 2008 Toni Graffy <toni@links2linux.de> - 2.0-1
- packaged release 2.0
